Lista automatica degli argomenti

Area dedicata a tutte le estensioni per phpBB 3.2.x
Rispondi
Avatar utente
Micogian
Globalmod
Globalmod
Messaggi: 551
Iscritto il: 17/03/2016, 17:53
Link del Forum: https://www.actaplantarum.org

Re: Lista automatica degli argomenti

Messaggio da Micogian »

L'estensione l'avevo creata con il php 5.6 che ho tuttora, il mio host mi ha installato anche la 7.4 che però non ho ancora abilitato perchè ho un sacco di file personalizzati che vanno tutti rivisti. Nel mio forum di prova ho la 7.1 ma ho la versione 3.3.1 di phpbb e tutto funziona.
Pertanto penso che con la 7.0 funzioni tutto, anche il phpbb 3.3.3 che prevede minimo la 7.0.
A meno che tu non abbia fatto un errore nella modifica di listener.php perchè non vedo errori nella query, salvo che qualche campo non sia stato tolto dal database con la versione 3.3.3.
L'errore precedente era evidente, mancavano gli apici in due variabili, ['total'] e ['tot_replies'], l'errore successivo non lo capisco anche perchè l'errore precedente riguardava le variabili che vengono dopo la query, Se la query è sbagliata doveva dare anche prima l'errore, visto che viene prima dell'assegnazione delle variabili. Non vorrei ci fosse un errore, il PHP è micidiale, basta una virgola o un apice fuori posto e non funziona.
Quando ho un pò di tempo vedrò di aggiornare il mio forum alla 3.3.3 e poi vediamo.

Io so che alcuni utenti di questo forum l'hanno installata e funziona, ad esempio "twm" ma non so che versione di php e phpbb usa.


Avatar utente
twm
PhpBB Expert
PhpBB Expert
Messaggi: 436
Iscritto il: 14/11/2015, 19:33
Link del Forum: https://lnx.3rotaie.it/forum/
Contatta:

Re: Lista automatica degli argomenti

Messaggio da twm »

Io so che alcuni utenti di questo forum l'hanno installata e funziona, ad esempio "twm" ma non so che versione di php e phpbb usa.
Spiacente non poter essere d'aiuto, ma non uso più questa estensione. Stasera provo sul mio forum di prova.
Tito
3rotaie.it
Database server: MySQL(i) 5.5.61-38.13-log Versione PHP: 7.3 Versione phpBB: 3.3.4
Avatar utente
vcienz_80
Registered User
Registered User
Messaggi: 40
Iscritto il: 22/04/2021, 13:31
Link del Forum: http://yoshiitaly.sviluppo.host

Re: Lista automatica degli argomenti

Messaggio da vcienz_80 »

be ho provato con il php 7.0 mi da questo errore

You are running an unsupported PHP version. Please upgrade to PHP 7.1.3 or higher before trying to install or update to phpBB 3.3

quindi cambiare versione php non e una buona idea scherzavo hahaahahah va be fa niente pazienza come al solito ringrazio tutti ..
Avatar utente
Micogian
Globalmod
Globalmod
Messaggi: 551
Iscritto il: 17/03/2016, 17:53
Link del Forum: https://www.actaplantarum.org

Re: Lista automatica degli argomenti

Messaggio da Micogian »

Vero, infatti la versione 3.3.3 di phpbb richiede minimo la versione 7.1.3 di PHP.
Avatar utente
vcienz_80
Registered User
Registered User
Messaggi: 40
Iscritto il: 22/04/2021, 13:31
Link del Forum: http://yoshiitaly.sviluppo.host

Re: Lista automatica degli argomenti

Messaggio da vcienz_80 »

ok pero fortuna che cambiano il php non succede nulla basta rimetterlo come prima e ritorna normale hahahaahah ok grazie aspetto ora che testerai lo script sul 3.3.3 cosi vado più sicuro al momento grazie lo stesso di tutto ...
Avatar utente
Micogian
Globalmod
Globalmod
Messaggi: 551
Iscritto il: 17/03/2016, 17:53
Link del Forum: https://www.actaplantarum.org

Re: Lista automatica degli argomenti

Messaggio da Micogian »

Ho aggiornato il mio forum di prova alla 3.3.3 e tutte le mie estensioni funzionano correttamente, alche "Topic_list". https://giannidose.altervista.org/forum ... p?f=2&t=52

C'è da dire però che nel mio forum ho la versione 7.1 di PHP.


EDIT: ho installato la versione 7.3.25 di PHP e tutto funziona correttamente.
L'estensione che utilizzo io si trova qui: https://giannidose.altervista.org/forum ... p?f=2&t=60
Avatar utente
Micogian
Globalmod
Globalmod
Messaggi: 551
Iscritto il: 17/03/2016, 17:53
Link del Forum: https://www.actaplantarum.org

Re: Lista automatica degli argomenti

Messaggio da Micogian »

L'errore riscontrato nell'estensione "topic_list" riguardava la versione di mysql 5.7, con questa versione il codice dava errore.
Estensione modificata e aggiornata alla versione 1.0.3 e inserita in questo forum all'indirizzo post23378.html
Rispondi